import pandas as pd


def preprocess_df(df: pd.DataFrame) -> pd.DataFrame:
    df['start'] = df['Плановая дата начала отключения электроснабжения'] + \
        ' ' + df['Плановое время начала отключения электроснабжения']

    df['finish'] = df['Плановая дата восстановления отключения электроснабжения'] + \
        ' ' + df['Плановое время восстановления отключения электроснабжения']

    df = df.drop(columns=[
        'Улица',
        'Плановая дата начала отключения электроснабжения',
        'Плановая дата восстановления отключения электроснабжения',
        'Плановое время начала отключения электроснабжения',
        'Плановое время восстановления отключения электроснабжения'
    ])

    return df
